module.exports = {
	productionSourceMap: false,
	assetsDir: 's',
	configureWebpack: {
		externals: {
			vue: "Vue",
			vuex: "Vuex",
			"vue-router": "VueRouter",
			"element-ui": "ELEMENT"
		},
	},
	devServer: {
		disableHostCheck: true,
		port: 8080,
		proxy: {
			'/m': {
				target: 'http://127.0.0.1:18223',
				changeOrigin: true,
				secure: false,
				cookieDomainRewrite: 'plm.testnew.com',
			}
		}
	}
}
