package com.mortals.xhx.module.api.common;

import lombok.Data;

import java.io.Serializable;

/**
 *
 * 调用接口时的操作人信息
 * @author luoshichao
 * @Description
 * @date 2020/2/19 16:06
 */
@Data
public class ApiUserInfo implements Serializable {
    private static final long serialVersionUID = 823366995880717556L;

    /**
     * 用户ID backend_user.id
     */
    private Long userId;
    /**
     * 所属商户
     */
    private Long partnerId;
    /**
     * 额外商户partnerId 多个以，号分隔
     */
    private String merchantsPermissions;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 用户名
     */
    private String loginName;
    /**
     * 数据权限
     */
    private UserPrivilege userPrivilege;

}
