package com.mortals.xhx.module.api.common;

import lombok.Data;

import java.util.Map;

/**
 *
 * 查询参数
 *
 * @author luoshichao
 * @Description
 * @date 2020/2/19 16:12
 */
@Data
public class QueryApiReq<T> extends BaseApiReq {
    /**
     * 分页参数
     */
    private PageInfoReq pageInfo;
    /**
     * 排序参数（目前此参数只针对框架生成的sql有效）
     */
    private Map<String,String> orderCols;
    /**
     * 查询实体参数
     */
    private T query;

}
