package com.mortals.xhx.module.api.common;

import lombok.Data;

import java.util.List;

/**
 *
 * 用户权限设置信息
 * @author luoshichao
 * @Description
 * @date 2020/3/17 13:25
 */
@Data
public class UserPrivilege {
    /** 区域权限设置: -1: 全部有权限 0：全部无权限 1：指定区域有权限 */
    private Integer areaPrivilege;

    /** 指定有权限的点位*/
    private List<Long> areaList;

    /** 产品权限设置 :-1: 全部有权限 0：全部无权限 1：指定产品有权限 */
    private Integer productPrivilege;
    /** 指定有权限的产品*/
    private List<Long> productList;
    /** 查看范围 1-看自己，2-看所有*/
    private Integer userScope;

    /** 点位权限设置 -1: 全部有权限 0：全部无权限 1：指定点位有权限*/
    private Integer pointPrivilege;
    /** 指定点位权限范围 */
    private List<Long> pointList;

    /** 是否有额外合同权限 0：无额外合同权限 1：有额外合同权限*/
//    private Integer contractPrivilege
    /** 额外合同权限字段 */
//    private List<Long> contractList;
}
