package com.mortals.xhx.module.api.feign.boss;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author luoshichao
 * @Description
 * @date 2021/3/11 15:41
 */
@Data
public class BossOperMainReq {

    /** 运维人员ID */
    private Long staffId;

    /** 运维人员姓名 */
    private String staffName;

    /** 工作类别，WorkType */
    private Integer workType;

    /** 共同工作人员 */
    private String together;

    /** 开始时间 */
    private Date startTime;

    /** 结束时间 */
    private Date endTime;

    /** 工作时长，分钟 */
    private Integer workTime;

    /** 经度 */
    private BigDecimal longitude;

    /** 纬度 */
    private BigDecimal latitude;

    /** 地址 */
    private String address;

    /** 设备编码 */
    private String deviceNum;

    /** 设备类型 */
    private Integer prodType;

    /** 图片列表，工作前后照片 */
    private String imgs;

    /** 原由，撤除原因、巡检原因、故障问题 */
    private String reason;

    /** 工作成效，巡检情况、维修结果 */
    private String result;

    /** 行政区域ID */
    private Long areaId;

    /** 行政区域名称 */
    private String areaName;

    /** 门店ID */
    private Long shopId;
}
