package com.mortals.xhx.module.api.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author luoshichao
 * @Description
 * @date 2021/3/10 11:17
 */
@ApiModel
@Data
public class AssetEventLogGetReq {
    /** 事件经手人，登录名 */
    @ApiModelProperty(value = "事件经手人，登录名", required = true, example = "admin")
    private String eventUser;

    /** 资产码，全局唯一 */
    @ApiModelProperty(value = "资产码", required = false, example = "[1111912400000209]")
    private List<String> assetNumList;

    /** 事件编号 */
    @ApiModelProperty(value = "事件编号", required = false, example = "101")
    private String eventCode;

    /** 资产日志ID */
    @ApiModelProperty(value = "id", required = false, example = "1")
    private Long id;

}
