/**
* 文件：AssetFlowEventService.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.asset.service;

import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.asset.model.AssetFlowEventEntity;

import java.util.List;

/**
 * <p>Title: 资产事件表</p>
 * <p>Description: AssetFlowEventService service接口 </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */

public interface AssetFlowEventService extends ICRUDService<AssetFlowEventEntity,Long>{

    /**
     * 通过事件码查询
     * @param eventCode
     * @return
     */
    public AssetFlowEventEntity getByEventCode(String eventCode);

    /**
     * 查询后续可操作事件
     * @param beforeFlowStatus
     * @return
     */
    List<AssetFlowEventEntity> getFollowEventList(String beforeFlowStatus);
}