package com.mortals.xhx.module.dingtalk;//package com.mortals.xhx.module.dingtalk;
//
//import com.alibaba.fastjson.JSON;
//import com.alibaba.fastjson.JSONObject;
//import com.dingtalk.api.DefaultDingTalkClient;
//import com.dingtalk.api.DingTalkClient;
//import com.dingtalk.api.request.OapiGettokenRequest;
//import com.dingtalk.api.response.OapiGettokenResponse;
//import com.mortals.xhx.common.code.PublishStatusEnum;
//import com.mortals.xhx.common.code.YesNoEnum;
//import com.mortals.xhx.common.config.TalkConfiguration;
//import com.mortals.xhx.module.product.model.ProductVersionEntity;
//import com.mortals.xhx.module.product.model.ProductVersionQuery;
//import com.mortals.xhx.module.product.service.ProductVersionService;
//import lombok.extern.apachecommons.CommonsLog;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.util.ObjectUtils;
//import org.springframework.web.bind.annotation.PostMapping;
//import org.springframework.web.bind.annotation.RequestBody;
//import org.springframework.web.bind.annotation.RequestParam;
//import org.springframework.web.bind.annotation.RestController;
//
//import javax.servlet.http.HttpServletRequest;
//import java.net.URL;
//import java.util.Arrays;
//import java.util.List;
//import java.util.Map;
//import java.util.stream.Collectors;
//
//import static com.mortals.framework.web.BaseController.*;
//import static com.mortals.xhx.base.framework.exception.ExceptionHandle.KEY_RESULT_CODE;
//
//
//@RestController
//@CommonsLog
//public class TalkBackControl {
//
//    @Autowired
//    private TalkConfiguration talkConfiguration;
//    @Autowired
//    private ProductVersionService productVersionService;
//
//    @PostMapping("dingCallBack")
//    public Map<String, String> dingCallBack(HttpServletRequest request,
//                                            @RequestParam(value = "msg_signature", required = false) String msg_signature,
//                                            @RequestParam(value = "timestamp", required = false) String timeStamp,
//                                            @RequestParam(value = "nonce", required = false) String nonce,
//                                            @RequestBody(required = false) JSONObject json) {
//        try {
//            // 1. 从http请求中获取加解密参数
//
//            // 2. 使用加解密类型
//            // Constant.OWNER_KEY 说明：
//            // 1、开发者后台配置的订阅事件为应用级事件推送，
//            //      此时OWNER_KEY为应用的APP_KEY（企业内部应用）或SUITE_KEY（三方应用）。
//            // 2、调用订阅事件接口订阅的事件为企业级时间推送，
//            //      此时OWNER_KEY为：企业的CORP_ID（企业内部应用）或SUITE_KEY（三方应用）
//            DingCallbackCrypto callbackCrypto = new DingCallbackCrypto(talkConfiguration.getAesToken(), talkConfiguration.getAesKey(), talkConfiguration.getOwnerKey());
//            String encryptMsg = json.getString("encrypt");
//            String decryptMsg = callbackCrypto.getDecryptMsg(msg_signature, timeStamp, nonce, encryptMsg);
//
//            // 3. 反序列化回调事件json数据
//            JSONObject eventJson = JSON.parseObject(decryptMsg);
//            String eventType = eventJson.getString("EventType");
//
//            // 4. 根据EventType分类处理
//            if ("check_url".equals(eventType)) {
//                // 测试回调url的正确性
//                log.info("测试回调url的正确性");
//            } else if ("user_add_org".equals(eventType)) {
//                // 处理通讯录用户增加时间
//                log.info("发生了：" + eventType + "事件");
//            } else if ("bpms_instance_change".equals(eventType)) {
//                log.info("发生了：" + eventType + "事件");
//                String processInstanceId = eventJson.getString("processInstanceId");
//                String type = eventJson.getString("type");
//                String result = eventJson.getString("result");
//                String remark = eventJson.getString("remark");
//                String processCode = eventJson.getString("processCode");
//
//                if (talkConfiguration.getProductAudit().equals(processCode) && "finish".equals(type)) {
//                    productVersionService.auditProduct(processInstanceId, result, remark);
//                }
//            } else {
//                // 添加其他已注册的
//                log.info("发生了：" + eventType + "事件");
//            }
//
//            // 5. 返回success的加密数据
//            Map<String, String> successMap = callbackCrypto.getEncryptedMap("success");
//            return successMap;
//
//        } catch (Exception e) {
//            log.error("异常", e);
//        }
//        return null;
//    }
//
//
//    /**
//     * 产品发布审核
//     *
//     * @param:
//     * @return:
//     * @Author: ZXF
//     */
//    @PostMapping("product/audit")
//    public String productAudit(@RequestParam String processInstanceId, @RequestParam String result, @RequestParam String remark) {
//        log.info(String.format("收到【钉钉产品发布审核结果】请求【请求体】-->processInstanceId:%s,result:%s", processInstanceId, result));
//        JSONObject ret = new JSONObject();
//        ret.put(KEY_RESULT_CODE, VALUE_RESULT_SUCCESS);
//        try {
//            productVersionService.auditProduct(processInstanceId, result, remark);
//        } catch (Exception e) {
//            log.error("异常：", e);
//            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
//            ret.put(KEY_RESULT_MSG, e.getMessage());
//            return JSONObject.toJSONString(ret);
//        }
//        return JSONObject.toJSONString(ret);
//    }
//
//
//}
