/**
* 文件：MateriaDaoImpl.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.materia.dao.ibatis;

import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import com.mortals.framework.model.ParamDto;
import com.mortals.xhx.module.materia.dao.MateriaDao;
import com.mortals.xhx.module.materia.model.MateriaEntity;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * <p>Title: 物料主表</p>
 * <p>Description: MateriaDaoImpl DAO接口 </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
@Repository("materiaDao")
public class MateriaDaoImpl extends BaseCRUDDaoMybatis<MateriaEntity,Long> implements MateriaDao {


    @Override
    public List<Map> getBomInfoByAssetCode(Map<String, Object> param) {
        ParamDto paramDto = new ParamDto();
        paramDto.setCondition(param);
        return this.getSqlSession().selectList(this.getSqlId("getBomInfoByAssetCode"), paramDto);
    }

}