package com.mortals.xhx.module.materia.model;


import com.mortals.xhx.common.excel.annotation.ExcelAttribute;
import com.mortals.xhx.common.excel.annotation.ExcelElement;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class MateriaBomExportEntity {

	@ExcelAttribute(name = "BOM版本", column = "A",colWidth = "8000")
	private String version;

	@ExcelAttribute(name = "BOM类型", column = "B")
	private String useTypeName;

	@ExcelAttribute(name = "备注", column = "C")
	private String remark;

	@ExcelElement
	private List<MateriaBomItemExportEntity> items =  new ArrayList<>();

}

