package com.mortals.xhx.module.materia.model;


import com.mortals.xhx.common.excel.annotation.ExcelAttribute;
import lombok.Data;

@Data
public class MateriaBomItemExportEntity  {

	@ExcelAttribute(name = "父料名称", column = "D")
	private String pName;

	@ExcelAttribute(name = "父料代码", column = "E")
	private String pMateriaCode;

	@ExcelAttribute(name = "子料代码", column = "F")
	private String materiaCode;

	@ExcelAttribute(name = "子料名称", column = "G")
	private String materiaName;

	@ExcelAttribute(name = "子料BOM", column = "H",colWidth = "8000")
	private String version;

	@ExcelAttribute(name = "规格型号", column = "I")
	private String specModel;

	@ExcelAttribute(name = "默认用量", column = "J")
	private String useNum;

	@ExcelAttribute(name = "计量单位", column = "K")
	private String unitOfMeasure;

	@ExcelAttribute(name = "损耗率", column = "L")
	private String lossRate;

	@ExcelAttribute(name = "必选料", column = "M")
	private String requiredValue;

	@ExcelAttribute(name = "补给方式", column = "N")
	private String supplyTypeValue;

	@ExcelAttribute(name = "供应商", column = "O")
	private String supplierName;



	/** 扩展字段 */
	@ExcelAttribute(name = "field01", column = "P",isExport = false)
	private String field01;

	/** 扩展字段 */
	@ExcelAttribute(name = "field02", column = "Q",isExport = false)
	private String field02;

	/** 扩展字段 */
	@ExcelAttribute(name = "field03", column = "R",isExport = false)
	private String field03;

	/** 扩展字段 */
	@ExcelAttribute(name = "field04", column = "S",isExport = false)
	private String field04;

	/** 扩展字段 */
	@ExcelAttribute(name = "field05", column = "T",isExport = false)
	private String field05;

	/** 扩展字段 */
	@ExcelAttribute(name = "field06", column = "U",isExport = false)
	private String field06;

	/** 扩展字段 */
	@ExcelAttribute(name = "field07", column = "V",isExport = false)
	private String field07;

	/** 扩展字段 */
	@ExcelAttribute(name = "field08", column = "W",isExport = false)
	private String field08;

	/** 扩展字段 */
	@ExcelAttribute(name = "field09", column = "X",isExport = false)
	private String field09;

	/** 扩展字段 */
	@ExcelAttribute(name = "field10", column = "Y",isExport = false)
	private String field10;


	/** 扩展字段 */
	@ExcelAttribute(name = "field11", column = "Z",isExport = false)
	private String field11;

	/** 扩展字段 */
	@ExcelAttribute(name = "field12", column = "AA",isExport = false)
	private String field12;

	/** 扩展字段 */
	@ExcelAttribute(name = "field13", column = "AB",isExport = false)
	private String field13;

	/** 扩展字段 */
	@ExcelAttribute(name = "field14", column = "AC",isExport = false)
	private String field14;

	/** 扩展字段 */
	@ExcelAttribute(name = "field15", column = "AD",isExport = false)
	private String field15;

	/** 扩展字段 */
	@ExcelAttribute(name = "field16", column = "AE",isExport = false)
	private String field16;

	/** 扩展字段 */
	@ExcelAttribute(name = "field17", column = "AF",isExport = false)
	private String field17;

	/** 扩展字段 */
	@ExcelAttribute(name = "field18", column = "AG",isExport = false)
	private String field18;

	/** 扩展字段 */
	@ExcelAttribute(name = "field19", column = "AH",isExport = false)
	private String field19;

	/** 扩展字段 */
	@ExcelAttribute(name = "field20", column = "AI",isExport = false)
	private String field20;

}

