package com.mortals.xhx.module.materia.model;


import com.mortals.xhx.common.excel.annotation.ExcelAttribute;
import com.mortals.xhx.common.excel.annotation.ExcelID;
import lombok.Data;
import org.apache.poi.ss.usermodel.PictureData;

@Data
public class MateriaImport {

	private Integer rowNum;

	@ExcelAttribute(name = "类目编码", column = "A")
	private String code;

	@ExcelID
	@ExcelAttribute(name = "物料名称", column = "B")
	private String name;


	@ExcelAttribute(name = "规格型号", column = "C")
	private String specModel;

	@ExcelAttribute(name = "计量单位", column = "D")
	private String unitOfMeasureName;

	@ExcelAttribute(name = "默认用量", column = "E")
	private String useNum;

	@ExcelAttribute(name = "损耗率", column = "F")
	private String lossRate;

	@ExcelAttribute(name = "补给方式", column = "G")
	private String supplyTypeName;

	@ExcelAttribute(name = "计划成本", column = "H")
	private String costPlan;

	@ExcelAttribute(name = "图片", column = "I")
	private String picUrl;

	@ExcelAttribute(name = "材质", column = "J")
	private String field11;

	@ExcelAttribute(name = "厚度", column = "K")
	private String field12;
	@ExcelAttribute(name = "供应商", column = "L")
	private String supplyName;
	@ExcelAttribute(name = "备注", column = "M")
	private String remark;

	private PictureData picObj;

}

