/**
 * 文件：MateriaVersionService.java 版本：1.0.0 日期： Copyright &reg; All right
 * reserved.
 */

package com.mortals.xhx.module.materia.service;

import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.materia.model.MateriaBomVersionEntity;

/**
 * <p>
 * Title: 产品发布表
 * </p>
 * <p>
 * Description: MateriaVersionService service接口
 * </p>
 * <p>
 * Copyright: Copyright &reg;
 * </p>
 * <p>
 * Company:
 * </p>
 * @author
 * @version 1.0.0
 */

public interface MateriaBomVersionService extends ICRUDService<MateriaBomVersionEntity, Long> {

    /**
     * @Description 产品版本发布提交
     * @param id
     * @param context
     * @Return java.lang.Boolean
     * @date 2021/3/18 14:29
     */
    Boolean submitProduct(Long id, Context context);

    /**
     * @Description 产品版本发布钉钉审批回调
     * @param processInstanceId
     * @param result
     * @param remark
     * @Return java.lang.Boolean
     * @date 2021/3/18 14:29
     */
    Boolean auditProduct(String processInstanceId, String result,String remark);



    void updateBom(Long productVersionId,Long bomId);
}