/**
* 文件：MateriaCategoryService.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.materia.service;

import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.materia.model.MateriaCategoryEntity;

/**
 * <p>Title: 产品类目表</p>
 * <p>Description: MateriaCategoryService service接口 </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */

public interface MateriaCategoryService extends ICRUDService<MateriaCategoryEntity,Long>{

    /**
     * @Description 根据parentId查询当前Level
     * @param parentId
     * @param level
     * @param context
     * @Return boolean
     * @date 2021/3/18 16:54
     * @Author fuJun
     */
    boolean checklevel(Long parentId, Integer level, Context context);

}