/**
* 文件：SupplierService.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.supplier.service;

import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.supplier.model.SupplierEntity;

import java.util.Map;

/**
 * <p>Title: 供应商表</p>
 * <p>Description: SupplierService service接口 </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */

public interface SupplierService extends ICRUDService<SupplierEntity,Long>{

    Result<SupplierEntity> getListByCondition(Map<String, Object> param, PageInfo pageInfo);
}