package com.mortals.xhx.module.api.feign.portal;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author luoshichao
 * @Description
 * @date 2021/3/12 13:37
 */
//@FeignClient(value = .xhx.portal-api")
public interface IPortalFeign {
    /**
     * 分页查询系统用户
     *
     * @param req
     * @return
     */
    @PostMapping(value = "/m/api/systemUser/list", produces = "application/json;charset=UTF-8")
    ApiResponse<PageResultRsp<UserRsp>> systemUserList(@RequestBody PortalUserReq req);

    @PostMapping(value = "/m/api/systemUser/get", produces = "application/json;charset=UTF-8")
    ApiResponse<UserRsp> getSystemUser(@RequestBody PortalUserReq req);

}
