package com.mortals.xhx.module.api.handler.impl;

import com.mortals.xhx.module.api.feign.boss.WorkType;
import com.mortals.xhx.module.api.model.AssetEventLog;
import com.mortals.xhx.module.asset.model.AssetEntity;
import com.mortals.xhx.module.asset.model.AssetFlowEventEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 *
 * 补货事件处理
 * 
 * @author luoshichao
 * @Description
 * @date 2021/1/8 15:04
 */
@Component
public class ReplenishmentEventHandler extends AbstractAssetFlowEventHandler {

	@Autowired
	private BossOpermainService bossOpermainService;

	@Override
	public void handle(AssetEntity assetEntity, AssetFlowEventEntity eventEntity, AssetEventLog req) {
		bossOpermainService.submitOpermain(req, assetEntity, WorkType.REPLENISHMENT);

	}
}
