package com.mortals.xhx.module.api.model;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 *
 * 资产事件信息
 *
 * @author luoshichao
 * @Description
 * @date 2021/1/12 11:05
 */
@ApiModel
@Data
public class AssetEventFieldInfo {

	/** 事件码 */
	private String eventCode;

	/** 字段编码，事件下唯一 */
	private String fieldCode;

	/** 字段名称 */
	private String fieldName;

	/** 数据类型，与java类型相同，目前支持String,Integer,Long,Float,Double */
	private String fieldType;

	/** 允许为空，0否，1是，默认1 */
	private Long fieldNull;

	/** 排序号，默认0 */
	private Long fieldOrderNo;

	/** 输入方式 */
	private Integer inputType;

	/** 数据来源，下拉时选项数据来源，配置对应接口地址 */
	private String dataSource;
}
