package com.mortals.xhx.module.api.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 *
 * 查询后续可操作事件请求参数
 *
 * @author luoshichao
 * @Description
 * @date 2021/1/12 11:05
 */
@ApiModel
@Data
public class AssetEventGetReq {
	/** 资产码，全局唯一 */
	@ApiModelProperty(value = "资产码", required = true, example = "['1111912400000209','1111912400000208']")
	private List<String> assetNumList;
}
