package com.mortals.xhx.module.api.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 事件状态列表信息
 *
 * @author luoshichao
 * @Description
 * @date 2021/1/12 11:05
 */
@ApiModel
@Data
public class AssetFlowStatusInfo {
	/** 状态value，全局唯一 */
	@ApiModelProperty(value = "状态value", required = true, example = "511")
	private String flowStatus;
	/** 状态名，全局唯一 */
	@ApiModelProperty(value = "状态名", required = true, example = "已投放")
	private String flowStatusName;
}
