package com.mortals.xhx.module.api.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 *
 * 资产get参数
 * 
 * @author luoshichao
 * @Description
 * @date 2021/1/12 13:31
 */
@Data
@ApiModel
public class AssetGetReq {
	/** 资产码，全局唯一 */
	@ApiModelProperty(value = "资产码", required = true, example = "[1111912400000209]")
	private List<String> assetNumList;
	/** 是否返回后续事件,0否，1是 */
	@ApiModelProperty(value = "是否返回后续事件", required = true, example = "1")
	private int returnNextEvent = 0;
}
