package com.mortals.xhx.module.api.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author luoshichao
 * @Description
 * @date 2021/3/26 13:53
 */
@Data
@ApiModel
public class BomInfoResp {
    @ApiModelProperty(value = "BOM ID", required = true, example = "1")
    private Long bomId;

    @ApiModelProperty(value = "物料ID", required = true, example = "1")
    private Long materiaId;

    @ApiModelProperty(value = "物料名称", required = true, example = "1")
    private String materiaName;

    @ApiModelProperty(value = "物料编码", required = true, example = "1")
    private String materiaCode;

    @ApiModelProperty(value = "bom版本", required = true, example = "1")
    private String bomVersion;

    @ApiModelProperty(value = "资产码", required = true, example = "1")
    private String assetsCode;

}
