package com.mortals.xhx.module.api.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author luoshichao
 * @Description
 * @date 2021/3/1 16:41
 */
@ApiModel
@Data
public class WarehouseInfo {

    @ApiModelProperty(value = "仓库Code", required = true, example = "1234")
    private String code;

    @ApiModelProperty(value = "仓库名称", required = true, example = "成都温江仓库")
    private String name;

    @ApiModelProperty(value = "仓库地址", required = true, example = "成都温江区xx街道xx号")
    private String address;
}
