/**
* 文件：AssetService.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.asset.service;

import com.mortals.framework.service.ICRUDService;
import com.mortals.framework.service.IUser;
import com.mortals.xhx.module.asset.model.AssetEntity;

import java.util.Map;

/**
 * <p>Title: 资产表</p>
 * <p>Description: AssetService service接口 </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */

public interface AssetService extends ICRUDService<AssetEntity,Long>{
	/**
	 * 通过资产码查询资产
	 * @param assetNum
	 * @return
	 */
	public AssetEntity getByAssetNum(String assetNum);

	Map<String, Object> saveImport(AssetEntity deviceEntity, String filePath, IUser user);

	public  void initEntity(AssetEntity entity);
}