package com.mortals.xhx.module.materia.model;


import com.mortals.xhx.common.excel.annotation.ExcelAttribute;
import com.mortals.xhx.common.excel.annotation.ExcelElement;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class MateriaBomExportFlatEntity {

	@ExcelAttribute(name = "BOM名称", column = "A",isExport = false)
	private String bomName;

	@ExcelAttribute(name = "创建日期", column = "A",isExport = false)
	private String createDate;

	@ExcelAttribute(name = "创建人", column = "C",isExport = false)
	private String createUser;

	@ExcelAttribute(name = "BOM类型", column = "E",isExport = false)
	private String useTypeName;


	@ExcelElement
	private List<MateriaBomItemExportFlatEntity> items =  new ArrayList<>();

}

