package com.mortals.xhx.module.materia.model;


import com.mortals.xhx.common.excel.annotation.ExcelAttribute;
import lombok.Data;

@Data
public class MateriaBomItemExportFlatEntity {

	@ExcelAttribute(name = "类目名称", column = "A")
	private String categoryName;

	@ExcelAttribute(name = "物料名称", column = "B")
	private String materiaName;

	@ExcelAttribute(name = "规格型号", column = "C")
	private String specModel;

	@ExcelAttribute(name = "计量单位", column = "D")
	private String unitOfMeasure;

	@ExcelAttribute(name = "用量", column = "E")
	private String useNum;

	@ExcelAttribute(name = "损耗率", column = "F")
	private String lossRate;

	@ExcelAttribute(name = "必选料", column = "G")
	private String requiredValue;

	@ExcelAttribute(name = "补给方式", column = "H")
	private String supplyValue;

	@ExcelAttribute(name = "单价", column = "I")
	private String unitPrice;

	@ExcelAttribute(name = "图片", column = "J")
	private String pic;

//	@ExcelAttribute(name = "材质", column = "K")
//	private String field11;
//
//	@ExcelAttribute(name = "厚度", column = "L")
//	private String field12;
//
//	@ExcelAttribute(name = "封装", column = "M")
//	private String field13;
//
//	@ExcelAttribute(name = "位号", column = "N")
//	private String field14;

	@ExcelAttribute(name = "供应商", column = "k")
	private String supplierName;

	@ExcelAttribute(name = "备注", column = "L")
	private String remark;



	/** 扩展字段 */
	@ExcelAttribute(name = "field01", column = "M",isExport = false)
	private String field01;

	/** 扩展字段 */
	@ExcelAttribute(name = "field02", column = "N",isExport = false)
	private String field02;

	/** 扩展字段 */
	@ExcelAttribute(name = "field03", column = "O",isExport = false)
	private String field03;

	/** 扩展字段 */
	@ExcelAttribute(name = "field04", column = "P",isExport = false)
	private String field04;

	/** 扩展字段 */
	@ExcelAttribute(name = "field05", column = "Q",isExport = false)
	private String field05;

	/** 扩展字段 */
	@ExcelAttribute(name = "field06", column = "R",isExport = false)
	private String field06;

	/** 扩展字段 */
	@ExcelAttribute(name = "field07", column = "S",isExport = false)
	private String field07;

	/** 扩展字段 */
	@ExcelAttribute(name = "field08", column = "T",isExport = false)
	private String field08;

	/** 扩展字段 */
	@ExcelAttribute(name = "field09", column = "U",isExport = false)
	private String field09;

	/** 扩展字段 */
	@ExcelAttribute(name = "field10", column = "V",isExport = false)
	private String field10;


	/** 扩展字段 */
	@ExcelAttribute(name = "field11", column = "W",isExport = false)
	private String field11;

	/** 扩展字段 */
	@ExcelAttribute(name = "field12", column = "X",isExport = false)
	private String field12;

	/** 扩展字段 */
	@ExcelAttribute(name = "field13", column = "Y",isExport = false)
	private String field13;

	/** 扩展字段 */
	@ExcelAttribute(name = "field14", column = "Z",isExport = false)
	private String field14;

	/** 扩展字段 */
	@ExcelAttribute(name = "field15", column = "AA",isExport = false)
	private String field15;

	/** 扩展字段 */
	@ExcelAttribute(name = "field16", column = "AB",isExport = false)
	private String field16;

	/** 扩展字段 */
	@ExcelAttribute(name = "field17", column = "AC",isExport = false)
	private String field17;

	/** 扩展字段 */
	@ExcelAttribute(name = "field18", column = "AD",isExport = false)
	private String field18;

	/** 扩展字段 */
	@ExcelAttribute(name = "field19", column = "AE",isExport = false)
	private String field19;

	/** 扩展字段 */
	@ExcelAttribute(name = "field20", column = "AF",isExport = false)
	private String field20;

}

