/**
* 文件：MateriaService.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.materia.service;

import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.materia.model.MateriaEntity;

import java.util.List;
import java.util.Map;

/**
 * <p>Title: 物料主表</p>
 * <p>Description: MateriaService service接口 </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */

public interface MateriaService extends ICRUDService<MateriaEntity,Long>{


    String  doImportExcel(String filepath, Context context);

    void discardMateria(Long id, Context context);


    void updateAsset(Long id,String asset, Context context);

    List<Map> getBomInfoByAssetCode(String assetCode);
}