/**
* 文件：SupplierDaoImpl.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.supplier.dao.ibatis;

import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.ParamDto;
import com.mortals.framework.model.Result;
import com.mortals.xhx.module.supplier.dao.SupplierDao;
import com.mortals.xhx.module.supplier.model.SupplierEntity;
import org.springframework.stereotype.Repository;

import java.util.Map;

/**
 * <p>Title: 供应商表</p>
 * <p>Description: SupplierDaoImpl DAO接口 </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
@Repository("supplierDao")
public class SupplierDaoImpl extends BaseCRUDDaoMybatis<SupplierEntity,Long> implements SupplierDao {
    @Override
    public Result<SupplierEntity> getListByCondition(Map<String, Object> param, PageInfo pageInfo) {
        ParamDto paramDto = new ParamDto();
        paramDto.setCondition(param);
        return this.getList(paramDto, pageInfo, "getListByCondition");

    }
}